com.google.gwt.resources.converter

## Class UndefinedConstantVisitor

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssVisitor
  - - com.google.gwt.resources.converter.UndefinedConstantVisitor

-     public class UndefinedConstantVisitor
      extends com.google.gwt.resources.css.ast.CssVisitor

  Converts upper case strings used in properties to lowercase if they are not defined with a proper @def statement.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.resources.css.ast.CssVisitor

      `UNMODIFIABLE_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndefinedConstantVisitor(java.util.Set<java.lang.String> gssContantNames, boolean lenient, TreeLogger treeLogger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visit(com.google.gwt.resources.css.ast.CssRule x, com.google.gwt.resources.css.ast.Context ctx)`

    - ### Methods inherited from class com.google.gwt.resources.css.ast.CssVisitor

      `accept, accept, acceptWithInsertRemove, doAccept, doAccept, doAcceptWithInsertRemove, doTraverse, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndefinedConstantVisitor

          public UndefinedConstantVisitor(java.util.Set<java.lang.String> gssContantNames,
                                          boolean lenient,
                                          TreeLogger treeLogger)

  - ### Method Detail

    - #### visit

          public boolean visit(com.google.gwt.resources.css.ast.CssRule x,
                               com.google.gwt.resources.css.ast.Context ctx)

      Overrides:
        `visit` in class `com.google.gwt.resources.css.ast.CssVisitor`
      Parameters:
        `x` - the node being visited
        `ctx` - the context for the visit